Skip to content
The package to test Flarum extensions.
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.circleci
src
tests
tmp
.editorconfig
.gitignore
composer.json
phpunit.xml
readme.md

readme.md

Steamroller by Flagrow logo Flagrow, a project of Gravure

MIT license Latest Stable Version Total Downloads Donate Join our Discord server

Because you can't extend the default Flarum console commands, this package adds an alternate php vendor/bin/flagrow command that uses events to register new commands.

Install

Add to the composer.json of your extension:

  "require-dev": {
    "flagrow/steamroller": "*"
  }

Usage

First, set up a phpunit.xml.

Make sure your tests extend the Flagrow\Steamroller\TestCase.

To run tests locally, use:

vendor/bin/phpunit

Example implementations:

Support our work

We prefer to keep our work available to everyone. In order to do so we rely on voluntary contributions on Patreon.

Security

If you discover a security vulnerability within Steamroller, please send an email to the Gravure team at security@gravure.io. All security vulnerabilities will be promptly addressed.

Please include as many details as possible. You can use php flarum info to get the PHP, Flarum and extension versions installed.

Links

An extension by Flagrow, a project of Gravure.

You can’t perform that action at this time.